﻿#region Using directives

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Windows.Forms;

#endregion

namespace InputLanguagesSample {
  partial class MainForm : Form {
    public MainForm() {
      InitializeComponent();
    }

    private void listInputLanguagesButton_Click(object sender, EventArgs e) {
      foreach( InputLanguage lng in InputLanguage.InstalledInputLanguages ) {
        string language = lng.LayoutName + " [" + lng.Culture + "]";
        this.inputLanguagesList.Items.Add(language);
      }
    }
  }
}