using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace AppliedDataBindingSample {
  public partial class MasterDetailsRacesDriversForm : Form {
    public MasterDetailsRacesDriversForm() {
      InitializeComponent();

      RaceCarDrivers race1Drivers = new RaceCarDrivers();
      race1Drivers.Add(new RaceCarDriver("A. Senna", 1000));
      race1Drivers.Add(new RaceCarDriver("M. Schumacher", 500));
      race1Drivers.Add(new RaceCarDriver("A. Prost", 400));
      Race race1 = new Race("Melbourne", new DateTime(2005, 3, 1), race1Drivers);
      this.racesBindingSource.Add(race1);

      RaceCarDrivers race2Drivers = new RaceCarDrivers();
      race2Drivers.Add(new RaceCarDriver("A. Senna", 1000));
      race2Drivers.Add(new RaceCarDriver("N. Piquet", 200));
      race2Drivers.Add(new RaceCarDriver("A. Prost", 400));
      Race race2 = new Race("Silverstone", new DateTime(2005, 4, 1), race2Drivers);
      this.racesBindingSource.Add(race2);

      RaceCarDrivers race3Drivers = new RaceCarDrivers();
      race3Drivers.Add(new RaceCarDriver("A. Senna", 1000));
      race3Drivers.Add(new RaceCarDriver("N. Piquet", 200));
      race3Drivers.Add(new RaceCarDriver("M. Schumacher", 500));
      race3Drivers.Add(new RaceCarDriver("A. Prost", 400));
      Race race3 = new Race("Silverstone", new DateTime(2005, 5, 1), race3Drivers);
      this.racesBindingSource.Add(race3);
    }
  }
}