using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Wahoo {
  public partial class HighScoreWhoForm : Form {
  
    public HighScoreWhoForm() {
      InitializeComponent();
    }

    public int Score {
      get { return int.Parse(this.scoreTextBox.Text); }
      set { this.scoreTextBox.Text = value.ToString(); }
    }

    public string PlayerName {
      get { return this.nameTextBox.Text; }
      set { this.nameTextBox.Text = value; }
    }
    
    private void nameTextBox_Validating(object sender, CancelEventArgs e) {
      string msg = null;
      if( string.IsNullOrEmpty(this.nameTextBox.Text) ) {
        msg = "Please enter a name";
      }
      this.errorProvider.SetError((Control)sender, msg);
    }

    private void okButton_Click(object sender, EventArgs e) {
      if( !this.Validate() ) this.DialogResult = DialogResult.None;
    }
  }
}