using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace StandardUserInteractionControlsSample {
  public partial class StandardUserInteractionControlsSampleForm : Form {
    public StandardUserInteractionControlsSampleForm() {
      InitializeComponent();

      // Label control
      this.label.AutoSize = false;
      this.label.Text = "This is information for the user...";
      this.label.TextAlign = ContentAlignment.TopCenter;

      // LinkLabel control
      // Will automatically parse common URLs
      this.linkLabel.Text = "Take me to Microsoft or MSDN Online.";
      //this.linkLabel.LinkArea = new LinkArea(11, 9);
      this.linkLabel.Links.Add(new LinkLabel.Link(11, 9, "http://www.microsoft.com"));
      this.linkLabel.Links.Add(new LinkLabel.Link(24, 11, "http://msdn.microsoft.com"));

      // StatusStrip
      this.toolStripStatusLabel.Spring = true;
      this.toolStripStatusLabel.Text = "Working...";
      this.toolStripStatusLabel.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;

      this.toolStripProgressBar.Minimum = 1;
      this.toolStripProgressBar.Maximum = 100;
      this.toolStripProgressBar.Value = 60;

      // ProgressBar
      this.progressBar.Minimum = 1;
      this.progressBar.Maximum = 100;
      this.progressBar.Value = 60;
    }

    private void linkLabel_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e) {
      System.Diagnostics.Process.Start((string)e.Link.LinkData);
    }

    private void linkLabel_Click(object sender, EventArgs e) {
      //System.Diagnostics.Process.Start("www.microsoft.com");
    }
  }
}