﻿#region Using directives

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Windows.Forms;

#endregion

namespace EnvironmentSample {
  partial class MainForm : Form {
    public MainForm() {
      InitializeComponent();
    }

    private void MainForm_Load(object sender, EventArgs e) {
      // Using Application
      this.companyNameTextBox.Text = Application.CompanyName;
      this.productNameTextBox.Text = Application.ProductName;
      this.productVersionTextBox.Text = Application.ProductVersion;
      this.executablePathTextBox.Text = Application.ExecutablePath;
      this.startupPathTextBox.Text = Application.StartupPath;
      
      // Using SystemInformation
      this.userNameTextBox.Text = SystemInformation.UserName;
      this.userDomainNameTextBox.Text = SystemInformation.UserDomainName;
      this.userInteractiveCheckBox.Checked = SystemInformation.UserInteractive;
    }
  }
}