﻿using System;
using System.Collections.Generic;
using System.Text;

namespace MDIClient {

  [Serializable]
  class PeriodReturn {
    private string period;
    private decimal returnRate;
    private decimal principle;

    public PeriodReturn() { }

    public PeriodReturn(string period, decimal returnRate, decimal principle) {
      this.period = period;
      this.returnRate = returnRate;
      this.principle = principle;
    }

    public string Period {
      get { return period; }
      set { period = value; }
    }

    public decimal ReturnRate {
      get { return returnRate; }
      set { returnRate = value; }
    }

    public decimal Principle {
      get { return principle; }
      set { principle = value; }
    }
  }
}
